> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Hash

> This is used to ensure the request payload has not been altered



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /encrypt/hashs
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /encrypt/hashs:
    post:
      tags:
        - STANDARD CHECKOUT
      summary: Generate Hash
      description: This is used to ensure the request payload has not been altered
      operationId: GenerateHash
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateHashRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateHashResponse'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                404Response:
                  $ref: '#/components/examples/404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
components:
  schemas:
    GenerateHashRequest:
      title: GenerateHashRequest
      required:
        - amount
        - callbackUrl
        - country
        - currency
        - email
        - paymentReference
        - productDescription
        - productId
        - publicKey
      type: object
      properties:
        publicKey:
          type: string
          description: This is the merchant public key.
        amount:
          type: string
          description: This is the amount to be paid.
        currency:
          type: string
          description: This is the currency the transaction is to be carried out in.
        country:
          type: string
          description: >-
            This is the country from which the transaction is been carried out
            from
        paymentReference:
          type: string
          description: >-
            This is the unique identifier for a transaction, to be generated by
            merchant.
        email:
          type: string
          description: This is the email of the customer.
        productId:
          type: string
          description: This is the product id entered by the merchant.
        productDescription:
          type: string
          description: This is the product description supplied by the merchant.
        callbackUrl:
          type: string
      example:
        publicKey: SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u
        amount: '10.00'
        currency: NGN
        country: NG
        paymentReference: 3791090233047WZ73QN
        email: mamadou.diouf@intouchgroup.net
        productId: '15013'
        productDescription: touch badge
        callbackUrl: https://gutouch.com
    GenerateHashResponse:
      title: GenerateHashResponse
      type: object
      example:
        status: SUCCESS
        data:
          code: '00'
          message: Successful
          hash:
            hash: ae18321b005df1b9f16ca8590425e213366da3ab1d8aa2fa30d78dfa6ab9850a
  examples:
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    404Response1:
      summary: An example of 404 response payload
      value:
        message: Not Found
        error: The server can not find the requested resource
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.